<?php

namespace Drupal\commerce_unzer;

use Drupal\Core\Logger\LoggerChannelInterface;
use Psr\Log\LogLevel;
use UnzerSDK\Interfaces\DebugHandlerInterface;

class DebugHandler implements DebugHandlerInterface {

  /**
   * @var \Drupal\Core\Logger\LoggerChannelInterface
   *   The Drupal logger for Unzer to write messages to.
   */
  protected LoggerChannelInterface $logger;

  /**
   * Constructs a new DebugHandler object.
   *
   * @param \Drupal\Core\Logger\LoggerChannelInterface $logger
   *   The Drupal logger.
   */
  public function __construct(LoggerChannelInterface $logger) {
    $this->logger = $logger;
  }

  /**
   * {@inheritdoc}
   */
  public function log(string $message): void {
    $this->logger->log(LogLevel::DEBUG, $message);
  }

}
